Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2175807 - perl-Git-Repository-1.325-7.fc39 FTBFS: t/20-simple.t fails EDITOR tests
Summary: perl-Git-Repository-1.325-7.fc39 FTBFS: t/20-simple.t fails EDITOR tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Git-Repository
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-03-06 15:17 UTC by Petr Pisar
Modified: 2024-03-09 00:51 UTC (History)
3 users (show)

Fixed In Version: perl-Git-Repository-1.325-8.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-08 15:29:31 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2023-03-06 15:17:56 UTC
perl-Git-Repository-1.325-7.fc39 fails to build in Fedora 39 because t/20-simple.t test fails:

t/20-simple.t .............. 1/54 
#   Failed test 'git var GIT_EDITOR'
#   at t/20-simple.t line 88.
# 

#   Failed test 'Git complains about lack of smarts and editor'
#   at t/20-simple.t line 89.
# 
#                   ''
#     doesn't match '(?^:^fatal: Terminal is dumb, but EDITOR unset )'
# 
# Looks like you failed 2 tests of 54.
t/20-simple.t .............. Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/54 subtests 
t/21-submodule.t ........... Cloning into '/tmp/TiMR_SSxRH/sub'...
done. at t/21-submodule.t line 46.

A difference between passing and failing build root is at <https://koschei.fedoraproject.org/build/15041670>. This is probably triggered by upgrading git from 2.39.2-1.fc39 to 2.40.0-0.1.rc1.fc39.

Comment 1 Jan Pazdziora 2023-03-08 15:29:31 UTC
Filed upstream pull request https://github.com/book/Git-Repository/pull/23 to remove the failing test (which seems to be testing behaviour which was not intended anyway).

Included the patch in https://src.fedoraproject.org/rpms/perl-Git-Repository/c/b075906f2a0b85d2c8e2371823541e691d2e8555?branch=rawhide and built perl-Git-Repository-1.325-8.fc39.

Rawhide errata https://bodhi.fedoraproject.org/updates/FEDORA-2023-6835d8f791.

Comment 2 Fedora Update System 2024-02-29 15:14:40 UTC
FEDORA-2024-3cd7522ef5 (perl-Git-Repository-1.325-8.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-3cd7522ef5

Comment 3 Fedora Update System 2024-03-01 02:33:39 UTC
FEDORA-2024-3cd7522ef5 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-3cd7522ef5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-3cd7522ef5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2024-03-09 00:51:39 UTC
FEDORA-2024-3cd7522ef5 (perl-Git-Repository-1.325-8.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.